|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for QGLContext

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QGLContext class reference

### Public Functions

- QGLContext ( const QGLFormat & format, QPaintDevice * device ) `(obsolete)`

### Protected Functions

- void generateFontDisplayLists ( const QFont & font, int listBase ) `(obsolete)`

## Member Function Documentation

### QGLContext::QGLContext ( const QGLFormat & format, QPaintDevice * device )

Constructs an OpenGL context for the given paint device, which can be a widget or a pixmap. The format specifies several display options for the context.

If the underlying OpenGL/Window system cannot satisfy all the features requested in format, the nearest subset of features will be used. After creation, the format() method will return the actual format obtained.

Note that after a QGLContext object has been constructed, create() must be called explicitly to create the actual OpenGL context. The context will be invalid if it was not possible to obtain a GL context at all.

### void QGLContext::generateFontDisplayLists ( const QFont & font, int listBase ) `[protected]`

Generates a set of 256 display lists for the 256 first characters in the font font. The first list will start at index listBase.

See also QGLWidget::renderText().